task stringtie {
    File bam
    File gtf
    String docker
    String base = basename(bam, ".sorted.bam")
    String cluster

    command <<<
      nt=$(nproc)
      mkdir ballgown
      /opt/conda/bin/stringtie -e -B -p $nt -G ${gtf} -o ballgown/${base}/${base}.gtf -C ${base}.cov.ref.gtf -A ${base}.gene.abundance.txt ${bam}
    >>>
    
    runtime {
      docker: docker
      cluster: cluster
      systemDisk: "cloud_ssd 40"
      dataDisk: "cloud_ssd 150 /cromwell_root/"
    }
    
    output {
      File covered_transcripts = "${base}.cov.ref.gtf"
      File gene_abundance = "${base}.gene.abundance.txt"
      Array[File] ballgown = ["ballgown/${base}/${base}.gtf", "ballgown/${base}/e2t.ctab", "ballgown/${base}/e_data.ctab", "ballgown/${base}/i2t.ctab", "ballgown/${base}/i_data.ctab", "ballgown/${base}/t_data.ctab"]
    }
}
